export declare function isElementVisible(parent: HTMLElement, el: HTMLElement): boolean;
export declare function getElementScrollPosition(parent: HTMLElement, el: HTMLElement): "visible" | "ceil" | "floor";
export declare function scrollIntoView(parent: HTMLElement, el: HTMLElement, options?: {
    duration?: number;
}): void;
export declare function eventListener<K extends keyof DocumentEventMap>(el: Document, type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): () => void;
export declare function eventListener<K extends keyof HTMLElementEventMap>(el: HTMLElement, type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): () => void;
export declare function detectOutside(e: {
    x: number;
    y: number;
}, el: HTMLElement): boolean;
